import { BaseClient } from './baseClient.js';
import { IClientError } from './interfaces.js';
/**
 * Type guard for ClientError.
 * @param object - The object to check.
 * @returns True if the object is a ClientError; otherwise, false.
 */
export declare function isClientError(object: any): object is IClientError;
/**
 * Fetches a resource as text.
 * @param req - The request object.
 * @param res - The response object.
 * @param uri - The URI to fetch from.
 * @throws ClientError - If the response is not ok.
 * @returns The fetched text.
 */
export declare function handleText(this: BaseClient, req: RequestInit, res: Response, uri: string): Promise<string>;
/**
 * Fetches a resource as JSON.
 * @param req - The request object.
 * @param res - The response object.
 * @param uri - The URI to fetch from.
 * @throws ClientError - If the response is not ok.
 * @returns The fetched JSON data.
 */
export declare function handleJson<T>(this: BaseClient, req: RequestInit, res: Response, uri: string): Promise<T>;
//# sourceMappingURL=clientError.d.ts.map