/**
 * The `ErrorResponseType` type represents a server response that contains a client side error.
 * It includes the mandatory 'status' property from the Response object.
 * All other properties are optional.
 */
export type ErrorResponseType = Partial<Omit<Response, 'status'>> & Pick<Response, 'status'>;
export type HttpMethods = 'get' | 'put' | 'post' | 'delete' | 'options' | 'head' | 'patch' | 'trace' | 'connect';
export type QueryType = string[][] | Record<string, string> | string | URLSearchParams;
export type RequestInitType = Omit<RequestInit, 'method'>;
//# sourceMappingURL=types.d.ts.map