import { RssFileType } from '@mintlify/models';
import type { ServerStaticProps } from '@mintlify/validation';
import type { StaticPageProps, StaticMetadataProps, StaticNavProps, StaticCssAndJsFilesProps, StaticSnippetsProps, StaticOpenApiUrlsProps } from '@mintlify/validation';
import { BaseClient } from '../client/index.js';
import { DecoratedNavigationResponseType, LlmsTxtResponseType, LoginMetadataResponseType } from './types.js';
export declare class LeavesClient extends BaseClient {
    readonly subdomain: string;
    constructor(subdomain: string, host: string, reqInit?: RequestInit | undefined);
    /**
     * @deprecated
     * Use the separate methods instead:
     *   `getStaticPage`
     *   `getStaticMetadata`
     *   `getStaticNav`
     *   `getStaticCssAndJsFiles`
     *   `getStaticSnippets`
     *   `getStaticOpenApiUrls`
     */
    getStaticProps(pagePath: string): Promise<ServerStaticProps>;
    getStaticPage(pagePath: string): Promise<StaticPageProps>;
    getStaticMetadata(): Promise<StaticMetadataProps>;
    getStaticNav(): Promise<StaticNavProps>;
    getStaticCssAndJsFiles(): Promise<StaticCssAndJsFilesProps>;
    getStaticSnippets(): Promise<StaticSnippetsProps>;
    getStaticOpenApiUrls(pagePath: string): Promise<StaticOpenApiUrlsProps>;
    getHostingLocation(): Promise<string>;
    getSitemapPaths(): Promise<string[]>;
    getLlmsTxt(): Promise<LlmsTxtResponseType>;
    getLoginMetadata(): Promise<LoginMetadataResponseType>;
    getNavigation(): Promise<DecoratedNavigationResponseType>;
    getStaticRssFiles(): Promise<{
        rssFiles: RssFileType[];
    }>;
}
export declare const getLeavesClient: (subdomain: string, host?: string, reqInit?: RequestInit & {
    next?: {
        tags?: string[];
        revalidate?: false | 0 | number;
    };
}) => LeavesClient;
export default getLeavesClient;
//# sourceMappingURL=leavesClient.d.ts.map